Bug 65267 - shutdown panic pcmcia unloads aic7xxx with file systems mounted
Summary: shutdown panic pcmcia unloads aic7xxx with file systems mounted
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs   
(Show other bugs)
Version: 7.3
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-21 06:42 UTC by Keith Hopkins
Modified: 2015-01-04 22:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 08:19:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Keith Hopkins 2002-05-21 06:42:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
During shutdown, the system panics after the pcmcia script unloads the aic7xxx
module.  The aic7xxx module is driving a pcmcia scsi card, and there are mounted
file systems on a external hard drive attached to that card.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
prereq: pcmcia scsi interface card, external scsi drives with usable file system.
1.mount a file system from external scsi hard drive attached to pcmcia scsi card.
2.execute "shutdown -hy now"
3.pcmcia script unloads pcmcia scsi module with file systems still mounted
4.system on fire! (kidding, system panics and hangs)


Actual Results:  panic/hang with root and other file systems still mounted.

Expected Results:  file systems on external device should be unmounted before
the driver is unloaded.

Additional info:

Manually umount'ing the file systems on the external scsi drive before running
shutdown allows the system to shutdown normally.

Comment 1 Arjan van de Ven 2002-05-22 10:36:13 UTC
ok this is indeed rather unfunny. investigating.

Comment 2 Arjan van de Ven 2002-05-22 11:34:32 UTC
quick question: is it pcmcia or cardbus ?

Comment 3 Keith Hopkins 2002-05-24 02:47:53 UTC
The Adaptec product is labeled "CardBus" on the front


Note You need to log in before you can comment on or make changes to this bug.